%define _disable_ld_no_undefined %nil

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/zathura/.*\\.so

# explicitly set zathura version because plugins (like djvu, ps and pdf-poppler)
# should absolutely be rebuilded at each new release otherwise zathura crashes, see
# mga#32937
%define zathura_version 0.5.8

Name:		zathura-pdf-poppler
Version:	0.3.3
Release:	%mkrel 1
Summary:	PDF support for zathura via poppler
Group:		Publishing
License:	zlib
URL:		https://pwmt.org/projects/zathura-pdf-poppler/
Source0:	https://pwmt.org/projects/zathura-pdf-poppler/download/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(zathura) >= %{zathura_version}
BuildRequires:	pkgconfig(poppler-glib)

Requires:	zathura = %{zathura_version}

%description
The zathura-pdf-poppler plugin adds PDF support to zathura by using
the poppler rendering engine.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS
%license LICENSE
%{_libdir}/zathura/libpdf-poppler.so
%{_datadir}/applications/org.pwmt.zathura-pdf-poppler.desktop
%{_metainfodir}/org.pwmt.zathura-pdf-poppler.metainfo.xml


%changelog
* Wed Aug 21 2024 daviddavid <daviddavid> 0.3.3-1.mga10
+ Revision: 2087316
- new version: 0.3.3

* Wed Mar 06 2024 daviddavid <daviddavid> 0.3.2-1.mga10
+ Revision: 2048063
- new version: 0.3.2
- rebuild against zathura 0.5.5

* Sun Dec 04 2022 wally <wally> 0.3.1-1.mga9
+ Revision: 1917489
- new version 0.3.1

* Sat Apr 02 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1840836
- Mageia 9 Mass Rebuild

* Fri Apr 24 2020 wally <wally> 0.3.0-1.mga8
+ Revision: 1571711
- new version 0.3.0

* Sat Feb 15 2020 umeabot <umeabot> 0.2.9-3.mga8
+ Revision: 1525515
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.2.9-2.mga7
+ Revision: 1392989
- Rebuild with meson 0.50.1
+ wally <wally>
- don't provide plugin .so

* Sun Mar 31 2019 wally <wally> 0.2.9-1.mga7
+ Revision: 1383393
- new version 0.2.9
- switch to meson build

* Sun Sep 23 2018 umeabot <umeabot> 0.2.7-2.mga7
+ Revision: 1302036
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 wally <wally> 0.2.7-1.mga7
+ Revision: 1170759
- new version 0.2.7

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.2.6-3.mga6
+ Revision: 1070653
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.2.6-2.mga6
+ Revision: 1046209
- test rebuild for poppler

* Sat Jan 30 2016 wally <wally> 0.2.6-1.mga6
+ Revision: 929079
- new version 0.2.6

* Tue Jun 23 2015 wally <wally> 0.2.5-4.mga6
+ Revision: 840925
- rebuild for new girara

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-3.mga5
+ Revision: 740888
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-2.mga5
+ Revision: 690857
- Mageia 5 Mass Rebuild

* Tue Feb 18 2014 wally <wally> 0.2.5-1.mga5
+ Revision: 594459
- new version 0.2.5

* Tue Feb 04 2014 wally <wally> 0.2.4-1.mga5
+ Revision: 581964
- new version 0.2.4

* Sat Oct 19 2013 umeabot <umeabot> 0.2.3-2.mga4
+ Revision: 528599
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 wally <wally> 0.2.3-1.mga4
+ Revision: 446541
- clean .spec
- imported package zathura-pdf-poppler


* Wed May 29 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-2
- Fix a debuginfo regression (#967954)

* Tue May 21 2013 Petr Šabata <contyk@redhat.com> - 0.2.3-1
- 0.2.3 bump

* Fri Mar 29 2013 Kevin Fenzi <kevin@scrye.com> 0.2.2-1
- Update to 0.2.2

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 François Cami <fcami@fedoraproject.org> - 0.2.1-5
- force-require zathura.

* Sun Dec 02 2012 François Cami <fcami@fedoraproject.org> - 0.2.1-4
- really remove pre-EL6 stuff.

* Sun Dec 02 2012 François Cami <fcami@fedoraproject.org> - 0.2.1-3
- switch to using RPM_BUILD_ROOT exclusively.
- remove pre-EL6 stuff.

* Wed Nov 28 2012 François Cami <fcami@fedoraproject.org> - 0.2.1-2
- fix BR. Thanks to Dennis Johnson.

* Wed Nov 28 2012 François Cami <fcami@fedoraproject.org> - 0.2.1-1
- new upstream

* Sun Aug 19 2012 François Cami <fcami@fedoraproject.org> - 0.2.0-2
- minor build fixes.

* Fri Aug 10 2012 François Cami <fcami@fedoraproject.org> - 0.2.0-1
- Initial package.

